# SocialResourceDocking 全局开发者文档

<div align="right">Author 筱锋xiao_lfeng | Version: V1.0.0</div>

## 说在前面

> 这部分为大部分接口文档通用部分的内容说明，具体每个接口的开发文档请参考
>
> <div align="right">———— 筱锋xiao_lfeng</div>



## 切面说明

> 切面为了更好进行快速开发，并且拒绝重复开发而生。开发时候请务必按照规定和标准化命名方案进行开发。下面会说切面在本开发中具体作用是什么

根据不同接口的权限要求不一样，故并非全部页面所需要的切面都一样。对于切面，**每一个切面仅会实现其中一种功能**。而并不是实现**全部功能**。故根据接口需要进行切面开发并且进行切面内容导入！

### 权限控制切面



### 时间戳控制切面

时间戳控制切面是对输入数据进行时间检验，检查输入的数据是否符合时间范围，保证数据的有效性。

另外，第二个时间戳控制切面为对数据表单进行校验。原理如下

在页面生成时候前端生成 \<form> 表单



## 登陆说明

对于 `srd_user` 和 `srd_user_ram` 数据表中 `permission` 字段部分json格式如下

```json
{
	"group": "String",
    "permission": []
}
```

另外，请注意，对于 `srd_user` 数据表中主键 `id` 字段值为 `1` 的用户为 `global` 权限。为整个系统中最高级权限。任何页面都可以访问以及随意切换内容页面

其余部分请参考**《功能说明文档》**以及**《SocialResourceDocking 开发者文档》**

### group 字段说明

在 `group` 字段中，具体具有值如下：

​	- user

​	- student

​	- teacher

​	- admin

​	- organization

仅值为 `"organization"` 代表为组织账号，其余字段均为普通账号

> 在社会学和管理学领域，组织通常指的是一个有目的、有结构的社会实体，它由一群人共同协作以达到共同的目标。这个实体可以是企业、政府机构、非营利组织、团体等。组织的特征包括人员、结构、文化、目标和资源等。管理学关注如何有效地组织和管理这些实体，以实现其既定的目标。
>
> <div align="right">———— 什么是组织</div>

在组织账号中，通过区分统一社会信用码来区分不同组织账号主体类型。具体区分内容参考数据库设计模式

### permission 字段说明

`permission` 字段表示内容为解决 group 权限组分组带来部分场景下权限组分配不够用，故单独为此用户赋予的额外权限

其值样式为 `admin.user.create` 或 `admin.user.*` 。采用点进行权限组类别区分，`*` 为赋予子权限段全部权限

